---

#! /cephfs/tmp/d20250110-1250386-kdfetg/stress-ng-scheduler.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s

# docker run --rm ghcr.io/colinianking/stress-ng --class scheduler?
stress-ng:
  test: tee
job_origin: stress-ng-scheduler.yaml
queue: vip
testbox: lkp-gnr-1ap1
commit: 601dc4addd9d6b950a1fafb99343222e7a2b5070
compiler: gcc-12
branch: bytedance/6.6-velinux
kconfig: x86_64-bytedance-6.6-velinux
name: "/cephfs/tmp/d20250110-1250386-kdfetg/stress-ng-scheduler.yaml"
kernel_cmdline:
tbox_group: lkp-gnr-1ap1
job_file: "/lkp/jobs/scheduled/lkp-gnr-1ap1/stress-ng-performance-100%-tee-60s-debian-12-x86_64-20240206.cgz-601dc4addd9d-20250224-2157407-155u32b-8.yaml"
id: 50be6474a495287f259255ac9402019ed64fd499
queuer_version: "/lkp/xsang/.src-20250110-151342"

#! /db/releases/20250110145228/lkp-src/hosts/lkp-gnr-1ap1
model: Granite Rapids
nr_node: 1
nr_cpu: 240
memory: 192G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part2"
- "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part3"
- "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part4"
rootfs_partition: "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part1"
kernel_cmdline_hw: acpi_rsdp=0x605db014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Genuine Intel(R) 0000
belongs_to: bytedance
need_kconfig_hw:
- USB: "y"
- USB_NET_DRIVERS: "y"
- USB_USBNET: "y"
- USB_NET_AX8817X: "y"

#! /db/releases/20250110145228/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20250110145228/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20250110145228/lkp-src/programs/stress-ng/include
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2025-02-24 12:51:50.805942444 +08:00
_rt: "/result/stress-ng/performance-100%-tee-60s/lkp-gnr-1ap1/debian-12-x86_64-20240206.cgz/x86_64-bytedance-6.6-velinux/gcc-12/601dc4addd9d6b950a1fafb99343222e7a2b5070"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20250222-092540"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-tee-60s/lkp-gnr-1ap1/debian-12-x86_64-20240206.cgz/x86_64-bytedance-6.6-velinux/gcc-12/601dc4addd9d6b950a1fafb99343222e7a2b5070/0
- BOOT_IMAGE=/pkg/linux/x86_64-bytedance-6.6-velinux/gcc-12/601dc4addd9d6b950a1fafb99343222e7a2b5070/vmlinuz-6.6.51-g601dc4addd9d
- branch=bytedance/6.6-velinux
- job=/lkp/jobs/scheduled/lkp-gnr-1ap1/stress-ng-performance-100%-tee-60s-debian-12-x86_64-20240206.cgz-601dc4addd9d-20250224-2157407-155u32b-8.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-bytedance-6.6-velinux
- commit=601dc4addd9d6b950a1fafb99343222e7a2b5070
- intremap=posted_msi
- acpi_rsdp=0x605db014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-bytedance-6.6-velinux/gcc-12/601dc4addd9d6b950a1fafb99343222e7a2b5070/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20250212.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-1c71921fd-1_20250212.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250110234916/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-gnr-1ap1/stress-ng-performance-100%-tee-60s-debian-12-x86_64-20240206.cgz-601dc4addd9d-20250224-2157407-155u32b-8.cgz"
last_kernel: 5.15.152-19731-g8b9a759b54b4
acpi_rsdp: '0x605db014'

#! queue options
queue_cmdline_keys: []

#! user overrides
kbuild_queue_analysis: 1

#! /db/releases/20250131211710/lkp-src/include/site/inn
kernel: "/pkg/linux/x86_64-bytedance-6.6-velinux/gcc-12/601dc4addd9d6b950a1fafb99343222e7a2b5070/vmlinuz-6.6.51-g601dc4addd9d"
result_root: "/result/stress-ng/performance-100%-tee-60s/lkp-gnr-1ap1/debian-12-x86_64-20240206.cgz/x86_64-bytedance-6.6-velinux/gcc-12/601dc4addd9d6b950a1fafb99343222e7a2b5070/0"

#! /db/releases/20250222095235/lkp-src/include/site/inn
dequeue_time: 2025-02-25 06:18:45.136566169 +08:00
job_state: finished
loadavg: 0.08 16.48 17.78 1/2029 12965
start_time: '1740433116'
end_time: '1740433176'
version: "/lkp/lkp/.src-20250222-092540:ce3f60bf80e2:d0c0c87cd733-dirty"
